unit SpeedBouton;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons;

type
  TSpeedBouton = class(TSpeedButton)
  private
    { Dclarations prives }
     FOnMouseover: TNotifyEvent;
    FOnMouseOut : TNotifyEvent;
  protected
    { Dclarations protges }
    procedure CMMouseEnter(var msg:TMessage); message CM_MOUSEENTER;
procedure CMMouseLeave(var msg: TMessage); message CM_MOUSELEAVE;

  public
    { Dclarations publiques }
  published
    { Dclarations publies }
     property OnMouseover:TNotifyEvent read FOnMouseover write FOnMouseover ;
  property OnMouseOut :TNotifyEvent read FOnMouseOut write FOnMouseOut ;

  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Exemples', [TSpeedBouton]);
end;

procedure TSpeedBouton.CMMouseEnter(var msg:TMessage);
begin
    inherited;
    {respond to mouse enter}
    if assigned(OnMouseover) then OnMouseover(self);
end;

procedure TSpeedBouton.CMMouseLeave(var msg: TMessage);
begin
    inherited;
    {respond to mouse leave}
    if assigned(OnMouseOut) then OnMouseOut(self);
end;

end.
